Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.cache.server
Class DistributedCacheCoordinatorBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.knowgate.cache.server.DistributedCacheCoordinatorBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class DistributedCacheCoordinatorBeanInfo

extends java.beans.SimpleBeanInfo

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`DistributedCacheCoordinatorBeanInfo()`

Method Summary
`java.awt.Image` | `getIcon(int iconKind)`
`java.beans.MethodDescriptor[]` | `getMethodDescriptors()`
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributedCacheCoordinatorBeanInfo

    public DistributedCacheCoordinatorBeanInfo()

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`

### getIcon

    public java.awt.Image getIcon(int iconKind)

  Specified by:
    `getIcon` in interface `java.beans.BeanInfo`
  Overrides:
    `getIcon` in class `java.beans.SimpleBeanInfo`

### getMethodDescriptors

    public java.beans.MethodDescriptor[] getMethodDescriptors()

  Specified by:
    `getMethodDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getMethodDescriptors` in class `java.beans.SimpleBeanInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD